# Store

Before creating orders and enabling crypto payments, users need to set up their stores via our dashboard. To learn how to set up your store, please follow this [link](/english/products/crypto-checkout/checkout-dashboard/creating-your-store.md) for detailed instructions.&#x20;

A store represents a business that will create and manage orders

Here are some main Store endpoints you can check:

#### Get Store

## Get Store

<mark style="color:blue;">`GET`</mark> `https://api.cryptum.io/plugins/stores/{id}`

Use this endpoint to fetch information about a specific store

#### Query Parameters

| Name                                 | Type   | Description    |
| ------------------------------------ | ------ | -------------- |
| id<mark style="color:red;">\*</mark> | string | Your store id. |

{% tabs %}
{% tab title="200: OK " %}

<pre class="language-javascript"><code class="lang-javascript">{
    "name": "Test",
    "email": "mail@mail.com",
    "apiKeyId": "b0...9e4",
    "segment": "Art",
    "userId": "7b9...03",
    "wallets": [
        {
            "acceptedTokens": [
                "CELO",
                "cUSD",
                "cREAL"
            ],
            "address": "0x0...d3f1",
            "protocol": "CELO"
        }
    ],
    "xpubKeys": [],
    "storeUrl": "...",
    "storeDiscountPercentage": "0",
    "storeMarkupPercentage": "0",
    "pluginsInstalled": [],
    "createdAt": "202...3Z",
<strong>    "webhookSecret": "B2c...a0",
</strong>    "id": "55...4"
}
</code></pre>

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}

#### Update Store

## Update Store

<mark style="color:orange;">`PUT`</mark> `https://api.cryptum.io/plugins/stores/{id}`

Use this endpoint to update your store preferences.&#x20;

Please note that you need to set up a receiving wallet address before proceeding with any sales. You can do it directly via our dashboard (check this [link](/english/products/crypto-checkout/checkout-dashboard/managing-wallets.md) on how to do it). Alternatively, you can configure your receiving wallets by filling out the 'wallets' array below.

#### Query Parameters

| Name                                 | Type   | Description    |
| ------------------------------------ | ------ | -------------- |
| id<mark style="color:red;">\*</mark> | string | Your store id. |

#### Request Body

| Name                       | Type           | Description                                                                                                                                                                                    |
| -------------------------- | -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name                       | string         | Store name.                                                                                                                                                                                    |
| email                      | string         | Store email.                                                                                                                                                                                   |
| segment                    | string         | Store segment.                                                                                                                                                                                 |
| wallets                    | Array\[]       | Array of different wallets.                                                                                                                                                                    |
| wallets\[i]                | Object()       | Wallet object.                                                                                                                                                                                 |
| wallets\[i].acceptedTokens | Array\[]       | <p>Array of strings representing accepted tokens.<br>Possible values are:   "CELO", "cBRL", "cUSD", "ETH", "USDC", "USD", "XRP", "HTR", "MATIC", "USDC", "BUSD", "BNB", "AVAX", "BITCOIN".</p> |
| wallets\[i].address        | string         | Address of the specified wallet                                                                                                                                                                |
| wallets\[i].protocol       | string         | <p>Protocol of the wallet.<br>Possible values are:   "CELO", "ETHEREUM", "HATHOR", "POLYGON", "AVAXCCHAIN", "BSC", "RIPPLE", "XRPL", "BTC".</p>                                                |
| xpubKeys                   | Array\[String] | xpubKeys                                                                                                                                                                                       |
| storeUrl                   | string         | Store URL                                                                                                                                                                                      |
| storeDiscountPercentage    | string         | Discount given to users paying in crypto                                                                                                                                                       |
| storeMarkupPercentage      | string         | Markup given to users paying in crypto                                                                                                                                                         |

{% tabs %}
{% tab title="200: OK " %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cryptum.io/english/products/crypto-checkout/checkout-api/store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
